org.apache.iotdb.jdbc

## Class IoTDBConnectionParams

- java.lang.Object
- - org.apache.iotdb.jdbc.IoTDBConnectionParams

    public class IoTDBConnectionParams
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IoTDBConnectionParams(String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getHost()`
`String` `getJdbcUriString()`
`int` `getNetworkTimeout()`
`String` `getPassword()`
`int` `getPort()`
`String` `getSeriesName()`
`int` `getThriftDefaultBufferSize()`
`int` `getThriftMaxFrameSize()`
`String` `getTimeZone()`
`String` `getUsername()`
`Constant.Version` `getVersion()`
`void` `setHost(String host)`
`void` `setJdbcUriString(String jdbcUriString)`
`void` `setNetworkTimeout(int networkTimeout)`
`void` `setPassword(String password)`
`void` `setPort(int port)`
`void` `setSeriesName(String seriesName)`
`void` `setThriftDefaultBufferSize(int thriftDefaultBufferSize)`
`void` `setThriftMaxFrameSize(int thriftMaxFrameSize)`
`void` `setTimeZone(String timeZone)`
`void` `setUsername(String username)`
`void` `setVersion(Constant.Version version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IoTDBConnectionParams

    public IoTDBConnectionParams(String url)

### Method Detail

#### getHost

    public String getHost()

#### setHost

    public void setHost(String host)

#### getPort

    public int getPort()

#### setPort

    public void setPort(int port)

#### getJdbcUriString

    public String getJdbcUriString()

#### setJdbcUriString

    public void setJdbcUriString(String jdbcUriString)

#### getSeriesName

    public String getSeriesName()

#### setSeriesName

    public void setSeriesName(String seriesName)

#### getUsername

    public String getUsername()

#### setUsername

    public void setUsername(String username)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)

#### getThriftDefaultBufferSize

    public int getThriftDefaultBufferSize()

#### setThriftDefaultBufferSize

    public void setThriftDefaultBufferSize(int thriftDefaultBufferSize)

#### getThriftMaxFrameSize

    public int getThriftMaxFrameSize()

#### setThriftMaxFrameSize

    public void setThriftMaxFrameSize(int thriftMaxFrameSize)

#### getVersion

    public Constant.Version getVersion()

#### setVersion

    public void setVersion(Constant.Version version)

#### setNetworkTimeout

    public void setNetworkTimeout(int networkTimeout)

#### getNetworkTimeout

    public int getNetworkTimeout()

#### setTimeZone

    public void setTimeZone(String timeZone)

#### getTimeZone

    public String getTimeZone()